##  for PCLinuxOS  ##

Name:    fcitx5-kkc
Summary: Libkkc input method support for Fcitx5
Version: 5.0.12
Release: 1.nora23
License: GPL-3.0-or-later
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx5-kkc
Source:  %{name}-%{version}.tar.xz

BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: fcitx5-devel
BuildRequires: fcitx5-qt-devel
BuildRequires: libkkc-devel
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: pkgconfig
Requires: fcitx5
Requires: libkkc
Requires: hicolor-icon-theme

%description
This package provides libkkc input method support for Fcitx5.


%prep
%setup -q


%build
%cmake
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.md LICENSES
%dir %{_datadir}/fcitx5/inputmethod
%dir %{_datadir}/fcitx5/kkc
%{_libdir}/fcitx5/kkc.so
%{_libdir}/fcitx5/qt5/libfcitx5-kkc-config.so
%{_datadir}/fcitx5/addon/kkc.conf
%{_datadir}/fcitx5/inputmethod/kkc.conf
%{_datadir}/fcitx5/kkc/dictionary_list
%{_datadir}/fcitx5/kkc/rule
%{_datadir}/icons/hicolor/*/apps/fcitx-kkc.png
%{_datadir}/icons/hicolor/*/apps/org.fcitx.Fcitx5.fcitx-kkc.png
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.Kkc.metainfo.xml


%changelog
* Sun Mar 12 2023 tomcat <> 5.0.12-1
- 5.0.12
- build with fcitx5-5.0.22 and fcitx5-qt-5.0.17

* Wed Nov 23 2022 tomcat <> 5.0.11-1
- 5.0.11
- build with fcitx5-5.0.20 and fcitx5-qt-5.0.16

* Fri Jul 08 2022 tomcat <> 5.0.10-1
- 5.0.10

* Tue May 24 2022 tomcat <> 5.0.9-1
- 5.0.9

* Sat Mar 12 2022 tomcat <> 5.0.8-1
- 5.0.8

* Tue Feb 08 2022 tomcat <> 5.0.7-1
- 5.0.7

* Mon Sep 27 2021 tomcat <> 5.0.6-1
- 5.0.6

* Mon Mar 22 2021 tomcat <> 5.0.5-1
- 5.0.5

* Sat Feb 20 2021 tomcat <> 5.0.4-1
- 5.0.4

* Tue Jan 05 2021 tomcat <> 5.0.2-1
- 5.0.2
